org.apache.tapestry5.ioc.internal.util

## Class Orderer<T>

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.util.Orderer<T>

-     public class Orderer<T>
      extends Object

  Used to order objects into an "execution" order. Each object must have a unique id. It may specify a list of constraints which identify the ordering of the objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Orderer(org.slf4j.Logger logger)`
    `Orderer(org.slf4j.Logger logger, boolean exceptionWhenDuplicateId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Orderable<T> orderable)` Adds an object to be ordered.
    `void` | `add(String id, T target, String... constraints)` Adds an object to be ordered.
    `List<T>` | `getOrdered()`
    `void` | `override(Orderable<T> orderable)`
    `void` | `override(String id, T target, String... constraints)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Orderer

          public Orderer(org.slf4j.Logger logger)

    - #### Orderer

          public Orderer(org.slf4j.Logger logger,
                         boolean exceptionWhenDuplicateId)

  - ### Method Detail

    - #### add

          public void add(Orderable<T> orderable)

      Adds an object to be ordered.
      Parameters:
        `orderable` -

    - #### override

          public void override(Orderable<T> orderable)

    - #### add

          public void add(String id,
                          T target,
                          String... constraints)

      Adds an object to be ordered.
      Parameters:
        `id` - unique, qualified id for the target
        `target` - the object to be ordered (or null as a placeholder)
        `constraints` - optional, variable constraints
      See Also:
        `add(Orderable)`

    - #### override

          public void override(String id,
                               T target,
                               String... constraints)

    - #### getOrdered

          public List<T> getOrdered()

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.